%global momorel 2

Summary: BitTorrent client
Name: transmission
Version: 1.21
Release: %{momorel}m%{?dist}
License: MIT/X
Group: Applications/Internet
URL: http://transmission.m0k.org/
Source0: http://download.m0k.org/%{name}/files/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: openssl-devel, gtk2-devel
BuildPrereq: glib2-devel
BuildPrereq: libnotify-devel
BuildPreReq: libevent-devel >= 1.3e
Requires: libevent >= 1.3e

Provides: Transmission = %{version}
Obsoletes: Transmission < %{version}

%description 
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top on an efficient, cross-platform
back-end.

Transmission is open source (MIT license) and runs on Mac OS X (Cocoa
interface), Linux/NetBSD/FreeBSD/OpenBSD (GTK+ interface) and BeOS
(native interface).

%prep
%setup -q

%build
%configure --enable-gtk \
    --enable-libnotify \
    --enable-cli \
    --enable-daemon
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
gtk-update-icon-cache --quiet /usr/share/icons/hicolor

%files
%defattr(-, root, root)
%doc AUTHORS LICENSE NEWS README
%{_bindir}/transmission
%{_bindir}/transmissioncli
%{_bindir}/transmission-daemon
%{_bindir}/transmission-proxy
%{_bindir}/transmission-remote
%{_bindir}/benc2php
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/transmission.png
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/transmission.desktop
%{_mandir}/man1/*.1.*

%changelog
* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.21-2m)
- rebuild against openssl-0.9.8h-1m

* Thu May 22 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.21-1m)
- update to 1.21

* Mon May 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.20-1m)
- update to 1.20

* Mon Apr  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.11-1m)
- update to 1.11

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.10-2m)
- rebuild against gcc43

* Sat Mar 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10-1m)
- update to 1.10

* Thu Feb 28 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.06-1m)
- update to 1.06

* Sat Feb  9 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.05-1m)
- update to 1.05

* Sun Feb  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.04-1m)
- update to 1.04

* Fri Feb  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.03-1m)
- update to 1.03

* Sun Jan 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.02-1m)
- update to 1.02

* Sat Jan 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.01-1m)
- update to 1.01

* Mon Jan  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.00-1m)
- update to 1.00

* Thu Jan  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.96-1m)
- update to 0.96

* Mon Nov 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.92-1m)
- update to 0.92

* Mon Oct 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.91-1m)
- update to 0.91

* Fri Oct 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.90-1m)
- update to 0.90

* Sun Oct 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.82-2m)
- rebuild against libevent-1.3e

* Fri Sep 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.82-1m)
- update to 0.82
- rebuild against libevent-1.3d
- do not use %%NoSource macro

* Thu Aug 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.80-2m)
- rebuild against libevent-1.3c
- add Requires: libevent

* Wed Aug  8 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.80-1m)
- update to 0.80

* Tue Jul 10 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.6.1-3m)
- fix Transmission.desktop permission

* Mon Sep 18 2006 Nishio Futosho <futoshi@momonga-linux.org>
- (0.6.1-2m)
- modify desktop file
- add patch0 (bad gtk version check script) 
- to main

* Sat Jul 22 2006 Nishio Futosho <futoshi@momonga-linux.org>
- (0.6.1-1m)
- initial build
